OGRE: Ogre::RsImageCodec Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::RsImageCodec Class Reference
Plugins » RsImageCodec

`#include <OgreRsImageCodec.h>`

Inheritance diagram for Ogre::RsImageCodec:
[legend]

## Public Member Functions
| RsImageCodec (const String &type)
virtual | ~RsImageCodec ()
void | decode (const DataStreamPtr &input, const Any &output) const override
| Codes the data from the input chunk into the output chunk.
DataStreamPtr | encode (const Any &input) const override
| Codes the input and saves the result in the output stream.
void | encodeToFile (const Any &input, const String &outFileName) const override
| Codes the data in the input chunk and saves the result in the output filename provided.
String | getType () const override
| Returns the type of the codec as a String.
String | magicNumberToFileExt (const char *magicNumberPtr, size_t maxbytes) const override
| Maps a magic number header to a file extension, if this codec recognises it.
Public Member Functions inherited from Ogre::Codec
virtual | ~Codec ()
bool | magicNumberMatch (const char *magicNumberPtr, size_t maxbytes) const
| Returns whether a magic number header matches this codec.
virtual bool | setParameter (const String &name, const String &value)

## Static Public Member Functions
static _OgreRsImageCodecExport void | shutdown (void)
| Static method to shutdown and unregister the codecs.
static _OgreRsImageCodecExport void | startup (void)
| Static method to startup and register the codecs.
Static Public Member Functions inherited from Ogre::Codec
static Codec * | getCodec (char *magicNumberPtr, size_t maxbytes)
| Gets the codec that can handle the given 'magic' identifier.
static Codec * | getCodec (const String &extension)
| Gets the codec registered for the passed in file extension.
static StringVector | getExtensions (void)
| Gets the file extension list for the registered codecs.
static bool | isCodecRegistered (const String &codecType)
| Return whether a codec is registered already.
static void | registerCodec (Codec *pCodec)
| Registers a new codec in the database.
static void | unregisterCodec (Codec *pCodec)
| Unregisters a codec from the database.

## Constructor & Destructor Documentation

## ◆ RsImageCodec()

Ogre::RsImageCodec::RsImageCodec | ( | const String & | type | ) |

## ◆ ~RsImageCodec()

virtual Ogre::RsImageCodec::~RsImageCodec | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ encode()

DataStreamPtr Ogre::RsImageCodec::encode | ( | const Any & | input | ) | const
| overridevirtual

Codes the input and saves the result in the output stream.

Reimplemented from Ogre::Codec.

## ◆ encodeToFile()

void Ogre::RsImageCodec::encodeToFile | ( | const Any & | input,
|  | const String & | outFileName ) const
| overridevirtual

Codes the data in the input chunk and saves the result in the output filename provided.

Provided for efficiency since coding to memory is progressive therefore memory required is unknown leading to reallocations.

Parameters

  input | The input data (codec type specific)
  outFileName | The filename to write to

Reimplemented from Ogre::Codec.

## ◆ decode()

void Ogre::RsImageCodec::decode | ( | const DataStreamPtr & | input,
|  | const Any & | output ) const
| overridevirtual

Codes the data from the input chunk into the output chunk.

Parameters

  input | Stream containing the encoded data
  output | codec type specific result

Implements Ogre::Codec.

## ◆ getType()

String Ogre::RsImageCodec::getType | ( |  | ) | const
| overridevirtual

Returns the type of the codec as a String.

Implements Ogre::Codec.

## ◆ magicNumberToFileExt()

String Ogre::RsImageCodec::magicNumberToFileExt | ( | const char * | magicNumberPtr,
|  | size_t | maxbytes ) const
| overridevirtual

Maps a magic number header to a file extension, if this codec recognises it.

Parameters

  magicNumberPtr | Pointer to a stream of bytes which should identify the file. Note that this may be more than needed - each codec may be looking for a different size magic number.
  maxbytes | The number of bytes passed

Returns
  A blank string if the magic number was unknown, or a file extension.

Implements Ogre::Codec.

## ◆ startup()

_OgreRsImageCodecExport void Ogre::RsImageCodec::startup | ( | void |  | ) |
| static

Static method to startup and register the codecs.

## ◆ shutdown()

_OgreRsImageCodecExport void Ogre::RsImageCodec::shutdown | ( | void |  | ) |
| static

Static method to shutdown and unregister the codecs.

The documentation for this class was generated from the following file:

- OgreRsImageCodec.h